package com.ruoyi.tcZz.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 众测漏洞数(tc_zclds)表实体类
 * @author du
 * @since 2024/8/5 13:20
 */
@Data
@ApiModel("众测漏洞数")
public class TcZclds extends BaseEntity {

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;



    /** 漏洞等级 */
    @Excel(name = "漏洞等级",readConverterExp = "1=低危,2=中危,3=高危,4=紧急",combo = "低危,中危,高危,紧急")
    @ApiModelProperty(value = "漏洞数量")
    private String ldLevel;

    /** 漏洞数量 */
    @Excel(name = "漏洞数量")
    @ApiModelProperty(value = "漏洞数量")
    private Integer ldNumber;
}
