package com.ruoyi.tcZz.service;

import com.ruoyi.tcZz.domain.TcZcdwpm;

import java.util.List;

/**
 * 众测单位排名(tc_zcdwpm)表业务层
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcZcdwpmService
{
    /**
     * 查询众测单位排名
     * 
     * @param id 众测单位排名主键
     * @return 众测单位排名
     */
     TcZcdwpm getById(Long id);

    /**
     * 查询众测单位排名列表
     * 
     * @param tc 众测单位排名
     * @return 众测单位排名集合
     */
     List<TcZcdwpm> page(TcZcdwpm tc);

    /**
     * 新增众测单位排名
     * 
     * @param tc 众测单位排名
     * @return 结果
     */
     int insert(TcZcdwpm tc);

    /**
     * 修改众测单位排名
     * 
     * @param tc 众测单位排名
     * @return 结果
     */
     int update(TcZcdwpm tc);

    /**
     * 批量删除众测单位排名
     * 
     * @param ids 需要删除的众测单位排名主键集合
     * @return 结果
     */
     int deleteByIds(Long[] ids);

    /**
     * 删除众测单位排名信息
     * 
     * @param id 众测单位排名主键
     * @return 结果
     */
     int deleteById(Long id);

    String importUser(List<TcZcdwpm> tcZbxqList);
}
