package com.ruoyi.tcZz.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 众测资产成果统计(tc_zczccg)表实体类
 * @author du
 * @since 2024/8/5 13:20
 */
@Data
@ApiModel("众测资产成果统计")
public class TcZczccg extends BaseEntity {

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 涉及单位数 */
    @Excel(name = "涉及单位数")
    @ApiModelProperty(value = "涉及单位数")
    private Integer unitNumber;

    /** 新增资产数 */
    @Excel(name = "新增资产数")
    @ApiModelProperty(value = "新增资产数")
    private Integer addNumber;
}
