package com.ruoyi.tcZz.mapper;

import com.ruoyi.tcZz.domain.TcZcdwpm;

import java.util.List;

/**
 * 众测单位排名(tc_zcdwpm)表数据处理层
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcZcdwpmMapper
{
    /**
     * 查询众测单位排名
     * 
     * @param id 众测单位排名主键
     * @return 众测单位排名
     */
    public TcZcdwpm getById(Long id);

    /**
     * 查询众测单位排名列表
     * 
     * @param tcBmtb 众测单位排名
     * @return 众测单位排名集合
     */
    public List<TcZcdwpm> page(TcZcdwpm tcBmtb);

    /**
     * 新增众测单位排名
     * 
     * @param tcBmtb 众测单位排名
     * @return 结果
     */
    public int insert(TcZcdwpm tcBmtb);

    /**
     * 修改众测单位排名
     * 
     * @param tcBmtb 众测单位排名
     * @return 结果
     */
    public int update(TcZcdwpm tcBmtb);

    /**
     * 删除众测单位排名
     * 
     * @param id 众测单位排名主键
     * @return 结果
     */
    public int deleteById(Long id);

    /**
     * 批量删除众测单位排名
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIds(Long[] ids);
}
